ctools - Bug #1584

Galactic Plane Survey simulation's bug with the new ctools-0.10.0
11/26/2015 04:37 PM - Dang Viet Tan

Status: Closed Start date: 11/26/2015
Priority: Normal Due date:

Assigned To: Knédlseder Jurgen % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

Hi, I'm Tan. | had a bug when executing the Galactic Plane Survey script you gave me (as follows) with the new ctools-0.10.0.

https://portal.cta-observatory.org/WG/PHYS/Shared%20Documents/ctools%20simulations/gps.tar.gz

It seems that the GPS is not suitable for the new version of ctools-0.10.0, because of the changes in ctmodel (I guess). Please see
the attachment for details. So can you fix the GPS script ?

Thank you very much.

Related issues:
Related to ctools - Bug # 1609: ctmodel no longer operates on stacked observa... Closed 12/20/2015

History

#1 - 12/17/2015 09:31 AM - Dang Viet Tan

When checking the source code of ctmodel, | see that there's no "get_obs" function in the new version (ctools.0.10.0). Maybe this is the reason why
the GPS script is not executed by the ctools.10.0. Is it true ?

#2 - 01/04/2016 02:40 PM - Knodlseder Jiirgen

- Related to Bug #1609: ctmodel no longer operates on stacked observation added

#3 - 01/04/2016 03:08 PM - Knodlseder Jiirgen
- File make_gps.py added

You are right. The get_obs() method has been removed by accident. | did now put this method back, and everything seems to work on my side. See
http://cta.irap.omp.eu/ctools/download.html to learn how to get the latest version from gitlab.

Please note that in the meanwhile, the GSkymap class was replaced by GSkyMap, hence the script needs to be modified. | attached the actual
version of the script that works

#4 - 01/04/2016 03:08 PM - Knodlseder Jiirgen
- Status changed from New to Feedback
- Assigned To set to Knédlseder Jiirgen

- % Done changed from 0 to 100
#5 - 01/07/2016 02:28 PM - Dang Viet Tan

- File gps_model_ics_1-10TeV.fits added
- File gps_model _pi0_1-10TeV.fits added

04/27/2024 1/4



https://portal.cta-observatory.org/WG/PHYS/Shared%20Documents/ctools%20simulations/gps.tar.gz
http://cta.irap.omp.eu/ctools/download.html

- File gps_model_1-10TeV.fits added

- File gps_model_bkg 1-10TeV.fits added

- File gps_model_cygnus_1-10TeV.fits added
- File gps_model_pwne_1-10TeV.fits added

- File gps_model_snrs_1-10TeV.fits added

- File gps_model_tevcat_1-10TeV.fits added

Thank you for fixing it. I've gotten the latest version from gitlab and already installed it successfully.

| also checked your fixed file - make_gps.py but there's only 1 line in it, and it didn't work. So | fixed my file by replacing GSkymap by GSkyMap (only
2 places in the script). The script has worked, but the output files seem to be wrong. These files of gps_model_*.fits have just only 1 pixel (see
attachment). Can you check this bug?

Thank you.

#6 - 01/11/2016 02:11 PM - Knodlseder Jiirgen
- File deleted (make_gps.py)

#7 - 01/11/2016 02:12 PM - Knédlseder Jiirgen
- File make_gps.py added

#8 - 01/11/2016 08:43 PM - Knodlseder Jiirgen
- File deleted (make_gps.py)

#9 - 01/11/2016 08:45 PM - Knodlseder Jiirgen
- File make_gps.py added

There was another regression in addition to the removal of the get_obs() method (see #1609), sorry for that. It should now be fixed (just get the latest
code from gitlab using the devel branch).

| also updated the script that works on my side.

Can you check that everything is also fine on your side?

#10 - 01/15/2016 01:40 PM - Dang Viet Tan
- File ics.jpg added

- File pi0.jpg added

- File map_ics.fits added

- File map_pi0.fits added

- File model_ics.xml added

- File model_pi0.xml added

I've already checked it on my side and the results seems good. Thank you very much.
By the way, | still have problem with simulating ics and pi0 map by ctobssim. It didn't work even with the new version of ctools. When | check your

map (in the directory "models" in gps.tar.gz), | found that the maps inconsistent with Galactic coordinates (see attachment). Maybe that's why | cannot
execute ctobssim by using your XML and FITS files (attachment). Can you check this problem for me ?
#11 - 01/20/2016 10:06 AM - Dang Viet Tan

I'm sorry that | was wrong about the coordinates mentioned above. The maps are fine.

But | still cannot execute GPS by ctobssim (it was aborted immediately). Can you check it one more time and show me the output file of ics and pi0?
Thank you.

#12 - 01/20/2016 10:37 AM - Knodlseder Jiirgen

user#155 wrote:
I'm sorry that | was wrong about the coordinates mentioned above. The maps are fine.

But | still cannot execute GPS by ctobssim (it was aborted immediately). Can you check it one more time and show me the output file of ics and
pi0? Thank you.

Could you provide me with the command sequence that you try to execute so that | can reproduce it here and follow this up?

#13 - 01/22/2016 11:51 AM - Dang Viet Tan
- File ctobssim.py added

Yes, you can see the executed file as attachment (ctobssim.py). For easy, | just specify only one point on Galactic plane.

I'm trying to simulate some celestial objects on Galactic plane now. | have a presentation at the Astronomical Society in this March, so it's very helpful
if you can support me fast. Thank you a lot.

#14 - 01/22/2016 04:13 PM - KnddlIseder Jiirgen

| looked into this and there was indeed still a bug in a Gammalib class (GModelSpatialDiffuseMap) for maps that were not normalized, i.e. the ones
we use for the KSP simulation.

| fixed the bug and you can check out the latest code from gitlab.
| hope this solves all you problems.

Thanks for your feedback, it's really useful in finding problems.

#15 - 01/24/2016 05:38 PM - Dang Viet Tan

I've downloaded and checked the latest code by my side. Everything looks good. smile.png
Thank you very much for your fast response. It's very helpful.

#16 - 01/25/2016 05:03 PM - Knddliseder Jiirgen
- Status changed from Feedback to Closed

Great. | close this bug issue now.

Files

error-.jpg 292 KB 11/26/2015 Dang Viet Tan
gps_model_ics_1-10TeV fits 19.7 KB 01/07/2016 Dang Viet Tan
gps_model_pi0_1-10TeV. fits 19.7 KB 01/07/2016 Dang Viet Tan
gps_model_bkg_1-10TeV fits 19.7 KB 01/07/2016 Dang Viet Tan
gps_model_1-10TeV fits 5.63 KB 01/07/2016 Dang Viet Tan
gps_model_cygnus_1-10TeV.fits 19.7 KB 01/07/2016 Dang Viet Tan
gps_model_pwne_1-10TeV fits 19.7 KB 01/07/2016 Dang Viet Tan
gps_model_snrs_1-10TeV fits 19.7 KB 01/07/2016 Dang Viet Tan
gps_model_tevcat_1-10TeV fits 19.7 KB 01/07/2016 Dang Viet Tan
make_gps.py 11.7 KB 01/11/2016 Knodlseder Jirgen
pi0.jpg 88 KB 01/15/2016 Dang Viet Tan
ics.jpg 85.4 KB 01/15/2016 Dang Viet Tan
map_pi0.fits 1.98 MB 01/15/2016 Dang Viet Tan
map_ics.fits 1.98 MB 01/15/2016 Dang Viet Tan
model_ics.xml 691 Bytes 01/15/2016 Dang Viet Tan
model_pi0.xml 691 Bytes 01/15/2016 Dang Viet Tan
ctobssim.py 1.03 KB 01/22/2016 Dang Viet Tan
